Subject: Re: bug#50833: Add bower (it's not what you're thinking)

From: Ludovic Courtès <[email-masked]>
Date: Mon, 25 Oct 2021 14:25:38 +0200

Hi!

jgart <[email-masked]> skribis:

> On Thu, 30 Sep 2021 19:11:24 -0700 Sarah Morgensen <[email-masked]> wrote:
>> default_html_dump_command = command_prefix(shell_quoted(Lynx), quote_once) :-
>>     Lynx = "lynx -dump -force-html -stdin -display-charset=utf-8".
>
> Hi again,
>
> If lynx is being detected without needing to be wrapped should I still wrap it?

It’s detected if it happens to be in $PATH, otherwise it won’t be found.

Like Sarah suggested, I’d recommend using ‘substitute*’ to replace, say,
/usr/bin/sendmail by /gnu/store/…/bin/sendmail.  You can grep the code
for examples on how to do that; see also:

  https://guix.gnu.org/manual/en/html_node/Build-Utilities.html#index-substitute_002a

As for Lynx specifically, whether you’d leave it as is (in which case
it’s found if and only if it’s in $PATH), or whether you’d use
‘substitute*’ depends on whether it’s an optional dependency or not.  If
Bower can gracefully handle lack of Lynx and, for instance, fall back to
another rendering method, then perhaps you can leave it as is.

HTH!

Ludo’.